For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTCreate a rule.
      • GETList all rules
      • POSTReplace all rules
      • PATCHModify an existing rule
      • DELDelete a rule
LogoLogo
Legacy DocsSign in
API ReferencePersonalization

Modify an existing rule

PATCH
https://api.ntropy.com/v3/rules/:id
PATCH
/v3/rules/:id
$curl -X PATCH https://api.ntropy.com/v3/rules/id \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {
> "if": {}
> }
>}'
1{
2 "id": 42,
3 "add_label": "vip_customer"
4}
Modify an existing rule in the ruleset.
Was this page helpful?
Previous

Delete a rule

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Path parameters

idstringRequired

Request

This endpoint expects an object.
ifobjectRequired
OR
modify labelsobjectRequired
OR
setobjectRequired

Response

Successful Response
idinteger

Errors

400
Bad Request Error
422
Unprocessable Entity Error